﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Markup;


namespace DynamicSilver
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            WebClient client = new WebClient();
            client.DownloadStringCompleted += new DownloadStringCompletedEventHandler(client_DownloadStringCompleted);
            client.DownloadStringAsync(new Uri("/DynamicSilver_Web/xaml.ashx", UriKind.Relative));
            // No references allowed in the XAML (i.e., styles, binding)
            //client.DownloadStringAsync(new Uri("/DynamicSilver_Web/sample.xaml", UriKind.Relative));
        }

        void client_DownloadStringCompleted(object sender, DownloadStringCompletedEventArgs e)
        {
            // Parse XAML to a UI element 
            string xaml = e.Result;
            UIElement dom = XamlReader.Load(xaml) as UIElement;

            // Append to the DOM
            Placeholder.Children.Clear();
            Placeholder.Children.Add(dom);
        }
    }
}
